Package org.eclipse.emf.cdo.net4j

## Interface CDOSessionRecoveryEvent

- All Superinterfaces:
    `CDOSessionEvent`, `org.eclipse.net4j.util.event.IEvent`

      public interface CDOSessionRecoveryEvent
      extends CDOSessionEvent

  A `session event` fired from `recovering session` when recovery has started or finished.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDOSessionRecoveryEvent.Type` | Enumerates the possible types of `session recovery events`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOSessionRecoveryEvent.Type` | `getType()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionEvent

      `getSource`

- - ### Method Detail

    - #### getType

          CDOSessionRecoveryEvent.Type getType()